- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# panos_pg – create a security profiles group

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Consolidating code base.

Alternative

  Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- Create a security profile group

## Requirements

The below requirements are needed on the host that executes this module.

- pan-python

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
commit boolean | Choices: no yes ← | commit if changed
data_filtering - |  | name of the data filtering profile
file_blocking - |  | name of the file blocking profile
ip_address string / required |  | IP address (or hostname) of PAN-OS device.
password string / required |  | Password for authentication.
pg_name - / required |  | name of the security profile group
spyware - |  | name of the spyware profile
url_filtering - |  | name of the url filtering profile
username string | Default: "admin" | Username for authentication.
virus - |  | name of the anti-virus profile
vulnerability - |  | name of the vulnerability profile
wildfire - |  | name of the wildfire analysis profile

## Examples

    - name: setup security profile group
      panos_pg:
        ip_address: "192.168.1.1"
        password: "admin"
        username: "admin"
        pg_name: "pg-default"
        virus: "default"
        spyware: "default"
        vulnerability: "default"

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Luigi Mori (@jtschichold), Ivan Bojer (@ivanbojer)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.